Remove deploy-gen scripts

Signed-off-by: James Munnelly <james@munnelly.eu>
This commit is contained in:
James Munnelly 2019-05-03 01:08:00 +01:00
parent 5d21bd4796
commit c5d9830d30
5 changed files with 2 additions and 129 deletions

View File

@ -90,8 +90,7 @@ verify_deps:
verify_codegen:
bazel test \
//hack:verify-codegen \
//hack:verify-deploy-gen
//hack:verify-codegen
verify_docs:
bazel test \
@ -131,7 +130,6 @@ generate:
bazel run //hack:update-bazel
bazel run //hack:update-gofmt
bazel run //hack:update-codegen
bazel run //hack:update-deploy-gen
bazel run //hack:update-reference-docs
./hack/update-vendor.sh
./hack/update-vendor-licenses.sh

View File

@ -86,25 +86,6 @@ sh_test(
],
)
# Static deployment manifests rules
sh_binary(
name = "update-deploy-gen",
srcs = ["update-deploy-gen.sh"],
data = [
"//hack/bin:helm",
],
)
sh_test(
name = "verify-deploy-gen",
srcs = ["verify-deploy-gen.sh"],
data = [
":update-deploy-gen",
"//deploy:all-srcs",
],
)
# Reference docs generation rules
sh_binary(
name = "update-reference-docs",

View File

@ -1,51 +0,0 @@
#!/bin/bash
# Copyright 2019 The Jetstack cert-manager contributors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
set -o errexit
set -o nounset
set -o pipefail
# This script should be run via `bazel run //hack:update-deploy-gen`
REPO_ROOT=${BUILD_WORKSPACE_DIRECTORY:-"$(cd "$(dirname "$0")" && pwd -P)"/..}
runfiles="$(pwd)"
export PATH="${runfiles}/hack/bin:${PATH}"
cd "${REPO_ROOT}"
# This will set Capabilities.KubeVersion.Major/Minor when generating manifests
KUBE_VERSION=1.9
gen() {
OUTPUT=$1
shift
TMP_OUTPUT=$(mktemp)
mkdir -p "$(dirname ${OUTPUT})"
helm template \
"${REPO_ROOT}/deploy/charts/cert-manager" \
--values "${REPO_ROOT}/deploy/manifests/helm-values.yaml" \
--kube-version "${KUBE_VERSION}" \
--namespace "cert-manager" \
--name "cert-manager" \
"$@" > "${TMP_OUTPUT}"
cat "${REPO_ROOT}/deploy/manifests/00-crds.yaml" \
"${REPO_ROOT}/deploy/manifests/01-namespace.yaml" \
"${TMP_OUTPUT}" > "${OUTPUT}"
}
export HELM_HOME="$(mktemp -d)"
helm init --client-only
helm dep update "${REPO_ROOT}/deploy/charts/cert-manager"
gen "${REPO_ROOT}/deploy/manifests/cert-manager.yaml"
gen "${REPO_ROOT}/deploy/manifests/cert-manager-no-webhook.yaml" --set webhook.enabled=false

View File

@ -1,55 +0,0 @@
#!/usr/bin/env bash
# Copyright 2019 The Jetstack cert-manager contributors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
set -o errexit
set -o nounset
set -o pipefail
RULE_NAME="deploy-gen"
SCRIPT_ROOT=$(dirname "${BASH_SOURCE}")/..
_tmp="$(mktemp -d)"
DIFFROOT="${SCRIPT_ROOT}/"
cleanup() {
rm -rf "${_tmp}"
}
trap "cleanup" EXIT SIGINT
# Create a fake GOPATH
export GOPATH="${_tmp}"
TMP_DIFFROOT="${GOPATH}/src/github.com/jetstack/cert-manager"
mkdir -p "${TMP_DIFFROOT}"
rsync -avvL "${DIFFROOT}"/ "${TMP_DIFFROOT}" >/dev/null
# remove __main__ directory copied to tmp
rm -Rf "${TMP_DIFFROOT}/__main__"
cd "${TMP_DIFFROOT}"
export BUILD_WORKSPACE_DIRECTORY="$(pwd)"
"hack/update-${RULE_NAME}.sh"
echo "diffing ${DIFFROOT} against freshly generated deploy-gen"
ret=0
diff --exclude=__main__ -Naupr "${DIFFROOT}/deploy/manifests" "${TMP_DIFFROOT}/deploy/manifests" || ret=$?
if [[ $ret -eq 0 ]]
then
echo "${DIFFROOT} up to date."
else
echo "${DIFFROOT} is out of date. Please run 'bazel run //hack:update-${RULE_NAME}'"
exit 1
fi